@import url('https://fonts.googleapis.com/css2?family=Space+Mono:wght@400;700&display=swap');

:root {
  --color-logo: #81689D;
  --color-nav: #fafafa;
  --color-heading: #474F7A;
  --color-base: #1F2544;
  --color-base2: #FFD0EC;
}

* {
  font-family: 'Space Mono', monospace;
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}



#logo {
  max-width: 30vw;

}

header {
  background-color: var(--color-base2);
  margin: 0;
  padding: 0;
  display: flex;
  justify-content: center;
  width: 100vw;
}

main {
  width: 100vw;
  height: 100vh;
  background-image: url("/quizz-bg.jpg");
  background-size: cover;
  background-position: center;
  display: flex;
  justify-content: center;
  align-items: center;
}



.btn, 
.restart-btn {
  background: var(--color-nav);
  color: var(--color-base);
  font-weight: 700;
  width: 100%;
  border: 1px solid var(--color-nav);
  margin: 10px 0;
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
}

.btn:hover,
.restart-btn:hover {
  background: var(--color-base);
  color: var(--color-nav);

}



#next-btn {
  background: var(--color-logo);
  color: var(--color-nav);
  text-transform: uppercase;
  width: 150px;
  border: 1px solid var(--color-nav);
  margin: 10px;
  margin-top: 20px;
  padding: 10px;
  border-radius: 5px;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
  cursor: pointer;
}

#next-btn:hover {
  background: var(--color-nav);
  color: var(--color-base);
  text-transform: uppercase;
  width: 150px;
  border: 1px solid var(--color-nav);
  padding: 10px;
  border-radius: 5px;
  cursor: pointer;
}

.answer-buttons {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}



.quiz,
#end-screen {
  background: var(--color-base2);
  padding: 30px;
  max-width: 600px;
  border-radius: 50px;

}




/* PAGE INDEX */

.astro {
  width: 100vw;
  height: 100vh;
  background-image: url("/quizz-bg.jpg");
  background-size: cover;
  background-position: center;
  display: flex;
  justify-content: center;
  align-items: center;
}

a {
  text-decoration: none;
  /* color: var(--color-base); */
}

.lancement {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

#commencer {
  width: 120px;
  height: 120px;
  border-radius: 50%;
  background: black;
  color: var(--color-nav);
  font-size: 1.1rem;
  letter-spacing: 2px;
  cursor: pointer;
  font-weight: bold;
  text-transform: uppercase;
  border: none;
  box-shadow: 12px 2px 24px var(--color-base2);
}

#commencer:hover {
  background: var(--color-base2);
  color: var(--color-nav);
}

.floating {
  animation-name: floating;
  animation-duration: 3s;
  animation-iteration-count: infinite;
  animation-timing-function: ease-in-out;
  margin-top: 5px;
}

@keyframes floating {
  0% {
    transform: translate(0, 0px);
  }

  50% {
    transform: translate(0, 15px);
  }

  100% {
    transform: translate(0, -0px);
  }
}




.intro {
  max-width: 50%;
  background-color: var(--color-base2);
  border-radius: 20px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  padding: 20px;
  margin: 20px;
}

.intro>h1 {
  font-size: 2rem;
}

.intro>p {
  text-align: center;
  margin-bottom: 30px;
}




.hide {
  display: none;
}



